=== debian/changelog ===
java-common (0.14) unstable; urgency=low

  * Fixed description again.

 -- Ola Lundqvist <opal@debian.org>  Sun,  7 Apr 2002 12:03:11 +0200

java-common (0.13) unstable; urgency=low

  * Fixed description, closes: #141463.

 -- Ola Lundqvist <opal@debian.org>  Sat,  6 Apr 2002 17:31:32 +0200

java-common (0.12) unstable; urgency=low

  * Fixed spaces in description, closes: #137179.
  * Fixed doc-base bug, closes: #137516.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri,  5 Apr 2002 21:25:34 +0200

java-common (0.11) unstable; urgency=low

  * Fixed doc-base problem, closes: #136994, #137022, #137031, #137063.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Mar 2002 16:10:04 +0100

java-common (0.10) unstable; urgency=low

  * Changed descriotion, closes: #118458.
  * Added doc-base file, thanks to Javier Fernandez-Sanguino Pena
    <jfs@dat.etsit.upm.es>, closes: #118459.
  * Spelling things in policy, closes: #119801.
  * Spelling issue in FAQ, closes: #127114.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Mar 2002 20:56:39 +0100

java-common (0.9) unstable; urgency=low

  * Updated the java policy. This is a major rewrite from all the information
    that people seems to have agreed upon, in the debian-java@lists.debian.org
    mailinglist. Closes: #107809, #107810.
    Also converted it to docbook format.
  * Removed manpage.
  * Fixed the copyright file, closes: #55524.
  * Removed java-compiler-dummy.
  * Removed java-virtual-machine-dummy.
  * Removed java1-runtime-dummy.
  * Removed dummy config files. After this package is uploaded I'll ask for
    the removal of the *-dummy packages that was previously mentioned in
    the policy.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Oct 2001 13:43:56 +0200

java-common (0.8) unstable; urgency=low

  * Moved java-compiler-dummy to java-common.
  * Moved java-virtual-machine-dummy to java-common.
  * Created java1-runtime-dummy.
  * Moved dummy config files, closes: #55527, #55747.
  * Fixed manpage, closes: #55525.
  * Fixed the copyright file, closes: #55524.
  * No I will not add a jar hook. It does not require any special
    classpaths and the jar program should exist in the package that
    provides the binary, closes: #81647.
  * Updated the java policy. This is a major rewrite from all the information
    that people seems to have agreed upon, in the debian-java@lists.debian.org
    mailinglist. Closes: #107809, #107810.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Oct 2001 13:43:56 +0200

java-common (0.7) unstable; urgency=low

  * New maintainer Ola Lundqvist, closes: #92816.
  * Fixed /usr/doc problem with this rebuild, closes: #72498.
  * Fixed standards version, closes: #79981, #86928.
  * Misspelling seems to have been fixed, closes: #67152.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 Apr 2001 23:07:10 +0200

java-common (0.6) unstable; urgency=low

  * Java FAQ now retrieved from the pristine source (DDP CVS)

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu,  7 Dec 2000 15:23:16 +0100

java-common (0.5) unstable; urgency=low

  * examples/ directory
  * Debian packages at Blackdown in the FAQ

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu,  9 Nov 2000 17:23:30 +0100

java-common (0.4) unstable; urgency=low

  * A few fixes (URLs mostly). 

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  2 Oct 2000 11:26:10 +0200

java-common (0.3) unstable; urgency=low

  * Added the Debian-Java FAQ (maintained by Fernandez-Sanguino Pen~a 
    <jfs@computer.org>) to the information provided by the package.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 12 Jul 2000 16:08:32 +0200
