## java-common 0.22

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,9 @@
 LC_CTYPE=C
 
 all: debian-java-policy debian-java-faq-gen
+
 publish: policy.html
-	scp debian-java-policy/*.html opal@people.debian.org:public_html/java/policy.html
+	scp debian-java-policy/*.html opal@www.debian.org:/org/www.debian.org/www/doc/packaging-manuals/java-policy
 
 # Policy part
 MAKEOUT=policy.txt policy.ps
@@ -37,21 +38,30 @@
 policy.ps: policy.dvi
 	$(DVIPS) -f $< > $@
 
-policy.html: policy.xml
+policy.html: debian-java-policy/index.html
+
+debian-java-policy/index.html: policy.xml
 	# docbook and dsl file needs to be in that dir for things to work.
 	# The png file is copied there so it can be referenced in a proper way.
+	#
+	# This is no longer true.
 	mkdir -p debian-java-policy
-	cp $^ html
 	jw -b html $(DSL) -o debian-java-policy $<
 	# To make that file the intdex.
 	(cd debian-java-policy; rm -f $^)
 
 policy.txt: policy.xml
-	jw -u $< > dump.html
-	lynx -force_html -dump dump.html > $@
-	-rm -f dump.html
+	#jw -u $< > dump.html
+	#lynx -force_html -dump dump.html > $@
+	#-rm -f dump.html
+	jw -b txt $(DSL) $<
 
-install: debian-java-policy-install debian-java-faq-install
+install: debian-java-policy-install debian-java-faq-install dummy-install
+
+dummy-install:
+	mkdir -p $(PUBLISHDIR)/dummy-packages
+	cp dummy/README $(PUBLISHDIR)/dummy-packages
+	cp dummy/*.control $(PUBLISHDIR)/dummy-packages
 
 debian-java-policy-install:
 	install -m 0444 $(OUTPUTS) $(PUBLISHDIR)
@@ -59,7 +69,8 @@
 	ln -s debian-java-policy $(PUBLISHDIR)/html
 
 clean: debian-java-faq
-	-rm -Rf debian-java-policy.html
+	-rm -Rf debian-java-policy
+	-rm -Rf policy.html
 	-rm -f $(MAKEOUT)
 	-rm -f policy.dvi
 	(cd $<; make clean)
