=== debian/changelog ===
java-common (0.22) unstable; urgency=low

  * Changed Maintainer: to the Debian Java Mailing List and added myself
    to Uploaders: (closes: #201670)
  * Changed the long description to use a real item list
  * Removed debian/java-common.README.debian since we now have build
    dependencies
  * Standards-Version: 3.6.1
    + Changed Build-Depends-Indep to Build-Depends

 -- Stefan Gybas <sgybas@debian.org>  Mon,  8 Sep 2003 11:18:55 +0200

java-common (0.21) unstable; urgency=low

  * Fixed dummy control files, closes: #201495.
  * Updated java FAQ from CVS, closes: #197577.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Jul 2003 08:16:43 +0200

java-common (0.20) unstable; urgency=low

  * Updated Java FAQ from CVS, closes: #192286.

 -- Ola Lundqvist <opal@debian.org>  Fri,  9 May 2003 13:14:44 +0200

java-common (0.19) unstable; urgency=low

  * Added JNI standardized directories, closes: #163390.
    Thanks to Ben Burton <bab@debian.org> for the patch.
  * Updated FAQ from cvs.
  * Now refer to an url instead of listing free jvm:s, closes: #146731.
  * Fixed doc section (is now Debian), closes: #187865.
  * Rebuild, no longer junk in policy.txt, closes: #162377.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Apr 2003 13:32:41 +0200

java-common (0.18) unstable; urgency=low

  * Updated java faq from cvs to fix deb source line, closes: #162733.
  * Fixed doc-base file, closes: #163102.
  * Policy update as accepted by debian-java@lists.debian.org,
    closes: #182466.
  * Removed the last references about that this is a proposed policy. It
    is no longer just a proposed policy.

 -- Ola Lundqvist <opal@debian.org>  Mon, 31 Mar 2003 21:48:18 +0200

java-common (0.17) unstable; urgency=low

  * Fixed some xml errors and reference error to debian policy, using
    patch from Ahmed <ahmed@baizid.org>, closes: #173033.
  * Fixed Makefile so that it can produce proper txt output, closes:
    #162377.

 -- Ola Lundqvist <opal@debian.org>  Wed, 18 Dec 2002 05:56:54 +0100

java-common (0.16) unstable; urgency=low

  * Updated java policy with more about JNI, closes: #162282.

 -- Ola Lundqvist <opal@debian.org>  Wed, 25 Sep 2002 16:50:48 +0200

java-common (0.15) unstable; urgency=low

  * Removed policy.sgml from source.
  * Changed so that the policy is no longer PROPOSED.
  * Some editorial changes.
  * Java libraries should now only suggest java-virtual-machine,
    closes: #159448.
  * Documentation about -gcj and -jni, closes: #146771.
  * Java-common now suggests equivs and contain instructions on how to create
    a dummy package, closes: #159483. Thanks to
    "Grzegorz Prokopski (Debian Developer)" <gadek@debian.org>.
  * Fixed typo, closes: #160735.
  * Updated debian-java-faq.
  * Fixed build problem.
  * Updated standards version.

 -- Ola Lundqvist <opal@debian.org>  Wed, 25 Sep 2002 07:41:45 +0200
