## java-common 0.23ubuntu3

=== debian/changelog ===
java-common (0.23ubuntu3) breezy; urgency=low

  * Posixfy java-common.sh.

 -- Jerry Haltom <wasabi@larvalstage.net>  Thu,  7 Jul 2005 14:15:17 -0500

java-common (0.23ubuntu2) breezy; urgency=low

  * Code cleanup on java-common.sh and jvm-find.sh in preparation to 
    merge into Debian.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed,  6 Jul 2005 20:37:48 -0500

java-common (0.23ubuntu1) breezy; urgency=low

  * Resynchronize with Debian.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed,  6 Jul 2005 20:37:42 -0500

java-common (0.23) unstable; urgency=low

  * Updated the Debian Java FAQ (closes: #156547, #252219), thanks to
    Javier Fernandez-Sanguino PeÃ±a
  * policy.xml: corrected typos (closes: #285303), thanks to Bill
    Allombert
  * debian/control:
    + (Uploaders) removed Ola Lundqvist from the uploaders (see
      debian-java mailing list, June 2005)
    + (Uploaders) added myself
    + (Uploaders) added Debian Java Maintainers (closes: #302887)
  * debian/README.Debian: corrected wrong path the the faq and the policy
    and a typo (closes: #197256, #285014), thanks to Vincent Lefevre
  * debian/copyright: moved Ola from current maintainers to previous
    maintainers, updated the file with the debhelper gpl template, added
    copyright years (closes: #290189)

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 11 Jun 2005 13:59:20 +0200

java-common (0.22ubuntu3) breezy; urgency=low

  * Bug in JVM launcher script from processing an empty line in a JVM 
    file. Resulted in a test for /bin/java which suceeds for some subset 
    of the population.
  * Renamed find_jvm.sh to jvm-find.sh.
  * Added an entry to the default /etc/jvm file to reflect our default 
    system JVM of /usr/lib/jvm/java-gcj.

 -- Jerry Haltom <wasabi@larvalstage.net>  Sun,  3 Jul 2005 13:26:21 -0500

java-common (0.22ubuntu2) breezy; urgency=low

  * Fixed JVM launcher scripts. They now properly detect and use a
    preexisting JAVA_HOME variable. They also scan the files in the
    proper order.

 -- Jerry Haltom <wasabi@larvalstage.net>  Sun, 26 Jun 2005 21:54:34 -0500

java-common (0.22ubuntu1) breezy; urgency=low

  * Added new JVM launcher support scripts.

 -- Jerry Haltom <wasabi@larvalstage.net>  Thu,  2 Jun 2005 13:02:12 -0500
