## java-common 0.24ubuntu2

=== debian/changelog ===
java-common (0.24ubuntu2) dapper; urgency=low

  * update-java-alternatives: Search for /usr/lib/jvm/.*.jinfo files
    as well, new option --plugin.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  9 May 2006 13:23:45 +0200

java-common (0.24ubuntu1) dapper; urgency=low

  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  8 May 2006 12:49:50 +0200

java-common (0.24) unstable; urgency=low

  [Matthias Klose]
  * Search for the update-java-alternatives description files in
    /usr/lib/jvm/*.jinfo.
  * Add a script update-java-alternatives(8).

  [Michael Koch]
  * Updated DH_COMPAT level to 4.
  * Updated Standards-Version to 3.7.2.
  * Added myself to Uploaders field.
  * Added myself to debian/copyright and updated address of FSF.
  * Moved most of Build-Depends to Build-Depends-Indep.
  * Removed CVS directories.

 -- Michael Koch <konqueror@gmx.de>  Sat,  6 May 2006 22:20:14 +0000
