## java-common 0.25

=== debian/changelog ===
java-common (0.25) unstable; urgency=low

  [Matthias Klose]
  * update-java-alternatives: Search for /usr/lib/jvm/.*.jinfo files
    as well, new option --plugin.

 -- Michael Koch <konqueror@gmx.de>  Tue,  9 May 2006 21:33:38 +0000
