=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -49,7 +49,6 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
-	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
 	dh_installexamples -i
