## java-common 0.25ubuntu1

=== debian/changelog ===
java-common (0.25ubuntu1) edgy; urgency=low

  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Jun 2006 11:03:28 +0200
