## java-common 0.25ubuntu2

=== debian/changelog ===
java-common (0.25ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Feb 2007 08:37:24 +0000
