## java-common 0.26ubuntu1

=== debian/changelog ===
java-common (0.26ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - JVM launcher scripts, currently unused.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Jul 2007 16:59:26 +0200

java-common (0.26) unstable; urgency=low

  * Fixed typo in package description. Closes: #363985.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Jun 2007 13:12:04 -0100
