=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
+	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
 	dh_installexamples -i
