## java-common 0.28ubuntu3

=== debian/changelog ===
java-common (0.28ubuntu3) hardy; urgency=low

  * scripts/update-java-alternatives: display usage if there's no action or
    argument given, as done in 0.27 (LP: #205806)

 -- Daniel Hahler <ubuntu@thequod.de>  Mon, 24 Mar 2008 02:47:48 +0100

java-common (0.28ubuntu2) hardy; urgency=low

  * update-java-alternatives: Add --jre-headless option.
  * Reverting the changes for the rejected upload 0.28ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Mar 2008 20:19:51 +0100

java-common (0.27ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - JVM launcher scripts, currently unused.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2007 17:21:19 +0100

java-common (0.27) unstable; urgency=low

  * Updated FAQ. Closes: #449282.
  * Updated debhelper level to 5.

 -- Michael Koch <konqueror@gmx.de>  Mon, 12 Nov 2007 07:59:27 +0100
