=== debian/changelog ===
java-common (0.30) unstable; urgency=low

  * Fix description generation for default-jre. Closes: #476978.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Apr 2008 00:13:55 +0200

java-common (0.29) unstable; urgency=low

  * Do not build the default-* packages on alpha, arm, hppa.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Apr 2008 01:02:28 +0200

java-common (0.28) unstable; urgency=low

  [Matthias Klose]
  * Build packages default-jre, default-jre-headless, default-jdk
    and default-jdk-builddep.
    Provides an abstraction for the preferred jre/jdk for a specific
    architecture.  Build-depending on default-jdk-builddep ensures
    a dependency on java-gcj-compat-dev even if the default jdk is
    another than java-gcj-compat-dev. Discussion thread starting at
    http://lists.debian.org/debian-java/2008/03/msg00007.html.
  * update-java-alternatives: Add --jre-headless option.

  [Michael Koch]
  * Fix issues in scripts/update-java-alternatives.8
  * Converted debian/java-common.doc-base.faq to utf-8 encoding.
  * Fix bug in scripts/update-java-alternatives when usage is shown.
  * Ignore lintian issues as they are false positives in our case.

 -- Michael Koch <konqueror@gmx.de>  Wed, 02 Apr 2008 21:13:24 +0200
