## java-common 0.30ubuntu3

=== debian/changelog ===
java-common (0.30ubuntu3) intrepid; urgency=low

  * On powerpc, default back to openjdk-6 instead of cacao-oj6. Still
    more testsuite failures in the OpenJDK testsuite with cacao compared
    to the zero port. 

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Oct 2008 18:09:39 +0000

java-common (0.30ubuntu2) intrepid; urgency=low

  * debian/rules
    - Fix jvmdir for powerpc, so that default-java symlink is correct.
      (LP: #256949)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 13 Aug 2008 01:55:23 +0530

java-common (0.30ubuntu1) intrepid; urgency=low

  * On amd64, i386, ia64 and sparc, point default-* to openjdk-6,
    on powerpc, point to cacao-oj6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2008 14:41:31 +0200
