## java-common 0.30ubuntu4

=== debian/changelog ===
java-common (0.30ubuntu4) jaunty; urgency=low

  * Default to openjdk-6 on armel.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Nov 2008 08:03:21 +0100
