=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 dversion	= 1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 ia64 lpia powerpc sparc))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel i386 ia64 lpia powerpc sparc))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
