## java-common 0.30ubuntu5

=== debian/changelog ===
java-common (0.30ubuntu5) karmic; urgency=low

  * default-jdk-builddep: Depend on gcj-jdk instead of java-gcj-compat-dev.
  * Build for hppa.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Apr 2009 13:36:36 +0200
