=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,11 @@
 DPKG_VARS := $(shell dpkg-architecture)
 DEB_HOST_ARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
 
-p_jre		= java-gcj-compat
-p_jhl		= java-gcj-compat-headless
-p_jdk		= java-gcj-compat-dev
+p_jre		= gcj-jre
+p_jhl		= gcj-jre-headless
+p_jdk		= gcj-jdk
 jdk_build_dep	=
-v_jre		= $(S)(>= 1.0.77-4)
+v_jre		=
 v_jdk		= $(v_jre)
 provides	= java java2 java5
 dversion	= 1.5-$(jrel)
@@ -29,7 +29,7 @@
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
-  jdk_build_dep	= java-gcj-compat-dev
+  jdk_build_dep	= gcj-jdk
   v_jre		= $(S)(>= 6b11)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
@@ -51,7 +51,7 @@
   jvmdir	= java-6-cacao
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), arm hppa))
+ifneq (,$(filter $(DEB_HOST_ARCH), arm))
   p_jre		=
   p_headless	=
   p_jdk		=
