## java-common 0.34

=== debian/changelog ===
java-common (0.34) unstable; urgency=low

  * Build a default-jdk-doc package to make the documentation available
    in a path (/usr/share/doc/default-jdk/api) independent of the depending
    package.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 2009 06:22:35 +0100

java-common (0.33) unstable; urgency=low

  [ Matthias Klose ]
  * Set package sections to java.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add a local copy of debian-java-faq to avoid network (CVS) access during
    build time.
  * Sync with Ubuntu:
    - Switch to OpenJDK as the default JDK/JRE.
  * Update Standards-Version: 3.8.2:
    - Add Vcs headers to debian/control.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Jul 2009 15:16:06 +0200

java-common (0.32) unstable; urgency=low

  * Build the default-* packages on hppa.

 -- Matthias Klose <doko@debian.org>  Sun, 17 May 2009 23:21:22 +0200

java-common (0.31) unstable; urgency=low

  * Build the default-* packages on alpha again.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2009 12:41:46 +0100
