=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: java-common
-Section: misc
+Section: java
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
-Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>
+Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
-Standards-Version: 3.7.3
+Standards-Version: 3.8.2
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/
 
 Package: java-common
 Architecture: all
-Suggests: equivs
+Suggests: default-jre, equivs
 Description: Base of all Java packages
  This package must be installed in the system if a Java environment
  is desired. It covers useful information for Java users in
@@ -24,7 +25,6 @@
     requirements.
 
 Package: default-jre
-Section: interpreters
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre}${jre:version}
 Suggests: default-jre
@@ -35,7 +35,6 @@
  which is ${jdk} for ${jre:arch}.
 
 Package: default-jre-headless
-Section: interpreters
 Architecture: any
 Depends: ${jhl}${jre:version}, java-common
 Suggests: default-jre
@@ -49,7 +48,6 @@
  graphical display during runtime.
 
 Package: default-jdk
-Section: devel
 Architecture: any
 Depends: default-jre (= ${binary:Version}), ${jdk}${jdk:version}
 Provides: ${jdk:provides}
@@ -58,8 +56,17 @@
  development kit recommended for this architecture, which is
  ${jdk} for ${jre:arch}.
 
+Package: default-jdk-doc
+Architecture: all
+Section: doc
+Depends: ${doc}
+Suggests: default-jdk
+Description: Standard Java or Java compatible Development Kit (documentation)
+ This package points to the documentation for the Java development kit,
+ or Java compatible development kit recommended for Debian, which is
+ ${doc}.
+
 Package: default-jdk-builddep
-Section: devel
 Architecture: any
 Depends: default-jdk (= ${binary:Version}), ${jdk:builddep}
 Description: Standard Java or Java compatible build dependencies
