=== debian/rules ===
--- 
+++ 
@@ -25,37 +25,19 @@
 dversion	= 1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel i386 ia64 lpia powerpc sparc))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mips mipsel powerpc s390 sparc))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 6b11)
+  v_jre		= $(S)(>= 6b14)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
   dversion	= 1.6-$(jrel)
   jvmdir	= java-6-openjdk
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
-  p_jre		= cacao-oj6-jre
-  p_hl		= cacao-oj6-jre-headless
-  p_jdk		= cacao-oj6-jdk
-  ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
-    jdk_build_dep	= java-gcj-compat-dev
-  endif
-  v_jre		=
-  v_jdk		=
-  provides	= java java2 java5 java6
-  dversion	= 1.6-$(jrel)
-  jvmdir	= java-6-cacao
-endif
-
-ifneq (,$(filter $(DEB_HOST_ARCH), arm))
-  p_jre		=
-  p_headless	=
-  p_jdk		=
-endif
+p_doc		= openjdk-6-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
@@ -138,6 +120,9 @@
 	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
+	mkdir -p debian/default-jdk-doc/usr/share/doc/default-jre-headless
+	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jre-headless/api
+	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jdk-doc/api
 	dh_installexamples -i
 	dpsch-cvsclean
 	dh_installmenu -i
@@ -147,7 +132,9 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-	dh_gencontrol -i
+	dh_gencontrol -i -- \
+		'-Vdoc=$(p_doc)' \
+		'-Vjdk=$(p_jdk)'
 	dh_md5sums -i
 	dh_builddeb -i
